cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Can't find utility software

ceiseman
Apprentice

I want to connect my camera to my computer so that I can focus remotely, and I understand that utility software should allow me to do this. I have a Rebel T1i and a Rebel XSi and my operating system is Windows 10, 64-bit. I went to the download page and got the message, "There is no utility for the OS Version you selected." Out of curiosity I tried several other cameras and operating systems and always got the same message, which makes me suspicious. What am I missing? Is there really no utility for my camera and operating system, and if so, what combination of camera and operating system would I need to be able to do this?

1 ACCEPTED SOLUTION

jrhoffman75
Legend
Legend

Welcome to the forum.

Site is confusing EOS Utility is software; I've never seen anything in the Utilities dropdown.

Go to this site: Support | DSLR | EOS-1D X Mark III | Canon USA

and download EOS Utility 3.13.20.

It will install EOS Utility 2 which should work with your cameras.

 

John Hoffman
Conway, NH

1D X Mark III, M200, Many lenses, Pixma PRO-100, Pixma TR8620a, Lr Classic

View solution in original post

2 REPLIES 2

jrhoffman75
Legend
Legend

Welcome to the forum.

Site is confusing EOS Utility is software; I've never seen anything in the Utilities dropdown.

Go to this site: Support | DSLR | EOS-1D X Mark III | Canon USA

and download EOS Utility 3.13.20.

It will install EOS Utility 2 which should work with your cameras.

 

John Hoffman
Conway, NH

1D X Mark III, M200, Many lenses, Pixma PRO-100, Pixma TR8620a, Lr Classic

ceiseman
Apprentice

That worked! Thank you so much!

Avatar
click here to view the gallery
Announcements